aboutsummaryrefslogtreecommitdiff
path: root/package/ifupdown
Commit message (Collapse)AuthorAgeFilesLines
* package/busybox: invert dependency with ifupdownGravatar Yann E. MORIN2018-07-081-1/+0
| | | | | Signed-off-by: Yann E. MORIN <yann.morin.1998@free.fr> Signed-off-by: Arnout Vandecappelle (Essensium/Mind) <arnout@mind.be>
* iproute2: needs kernel headers 3.4+Gravatar Baruch Siach2017-06-041-3/+3
| | | | | | | | | | | | iproute2 needs the __kernel_long_t and __kernel_ulong_t types that were introduced in kernel v3.4. Fixes: http://autobuild.buildroot.net/results/823/823f0dbe17999c07134fac5a0620e3ad15362204/ http://autobuild.buildroot.net/results/a79/a797a6e3d193fa70abd59411df21657a1c0a45d4/ Signed-off-by: Baruch Siach <baruch@tkos.co.il> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* ifupdown: wordexp is enabled in uClibc nowGravatar Waldemar Brodkorb2017-05-011-5/+2
| | | | | | | Package can now be used for uClibc toolchains. Signed-off-by: Waldemar Brodkorb <wbx@openadk.org> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* boot, linux, package: use SPDX short identifier for GPLv2/GPLv2+Gravatar Rahul Bedarkar2017-04-011-1/+1
| | | | | | | | | | | We want to use SPDX identifier for license strings as much as possible. SPDX short identifier for GPLv2/GPLv2+ is GPL-2.0/GPL-2.0+. This change is done by using following command. find . -name "*.mk" | xargs sed -ri '/LICENSE( )?[\+:]?=/s/\<GPLv2\>/GPL-2.0/g' Signed-off-by: Rahul Bedarkar <rahulbedarkar89@gmail.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* ifupdown: bump to version 0.8.16Gravatar Gustavo Zacarias2016-10-112-4/+4
| | | | | Signed-off-by: Gustavo Zacarias <gustavo@zacarias.com.ar> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* package: move busybox show others dependency to per-packageGravatar Thomas Petazzoni2016-07-041-0/+2
| | | | | | | | | | | Having the BR2_PACKAGE_BUSYBOX_SHOW_OTHERS dependencies in package/Config.in is not very practical: it makes this file not very readable, and puts the dependency away from the package itself, which can sometimes be confusing. Therefore, this commit moves the dependency in each package Config.in file. Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* Replace (e)glibc by glibcGravatar Thomas Petazzoni2016-06-281-1/+1
| | | | | | | | | | | | | | | | Following the removal of eglibc support, this commit replaces all occurences of "(e)glibc" by just "glibc". Most of the occurences are in package Config.in comments. In addition, when the form "an (e)glibc ..." was used, it is replaced by "a glibc ...". [Peter: add new efi* packages, s/uclibc/uClibc as suggested by Romain, systemd / liquid-dsp tweaks as suggested by Yann] Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com> Reviewed-by: Romain Naour <romain.naour@gmail.com> Acked-by: "Yann E. MORIN" <yann.morin.1998@free.fr> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* ifupdown: bump to version 0.8.13Gravatar Gustavo Zacarias2016-06-152-4/+4
| | | | | Signed-off-by: Gustavo Zacarias <gustavo@zacarias.com.ar> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* ifupdown: bump to version 0.8.10Gravatar Gustavo Zacarias2016-02-242-4/+4
| | | | | Signed-off-by: Gustavo Zacarias <gustavo@zacarias.com.ar> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* ifupdown: bump to version 0.8.8Gravatar Gustavo Zacarias2016-02-212-4/+13
| | | | | | | | Also add a kludge switching the explicit invocation of the ip binary from /bin to /sbin since that's where buildroot installs it. Signed-off-by: Gustavo Zacarias <gustavo@zacarias.com.ar> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* ifupdown: bump to version 0.8.2Gravatar Gustavo Zacarias2015-12-202-5/+5
| | | | | Signed-off-by: Gustavo Zacarias <gustavo@zacarias.com.ar> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* iproute2: needs headers >= 3.0Gravatar Gustavo Zacarias2015-07-281-2/+4
| | | | | | | | | | | The newest iproute2 version requires a toolchain with headers >= 3.0 for proper namespace & bpf support, so adjust the dependencies and dependants accordingly. Fixes: http://autobuild.buildroot.net/results/fa8/fa810f310c7540e02c0ed84c4a3ce74ab602daa5/ Signed-off-by: Gustavo Zacarias <gustavo@zacarias.com.ar> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* ifupdown: new packageGravatar Gustavo Zacarias2015-01-124-0/+62
Signed-off-by: Gustavo Zacarias <gustavo@zacarias.com.ar> Tested-by: Karoly Kasza <kaszak@gmail.com> Reviewed-by: Karoly Kasza <kaszak@gmail.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>